Tp::TLSCertificateRejection Struct Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes | List of all members
Tp::TLSCertificateRejection Struct Reference
Structure types

`#include <TelepathyQt/Types>`

## Public Attributes
uint | reason
QString | error
QVariantMap | details

## Detailed Description

Structure type generated from the specification.

Struct representing one reason why a TLS certificate was rejected.

Since there can be multiple things wrong with a TLS certificate, arrays of this type are used to represent lists of reasons for rejection. In that case, the most important reason SHOULD be placed first in the list.

## Member Data Documentation

uint Tp::TLSCertificateRejection::reason

The value of the TLS_Certificate_Reject_Reason enumeration for this certificate rejection.

Clients that do not understand the `Error` member, which may be implementation-specific, can use this property to classify rejection reasons into common categories.

QString Tp::TLSCertificateRejection::error

The DBus error name for this certificate rejection.

This MAY correspond to the value of the `Reason` member, or MAY be a more specific D-Bus error name, perhaps implementation-specific.

QVariantMap Tp::TLSCertificateRejection::details

Additional information about why the certificate was rejected. This MAY also include one or more of the following well-known keys:

user-requested (b)
  True if the error was due to an user-requested rejection of the certificate; False if there was an unrecoverable error in the verification process.
expected-hostname (s)
  If the rejection reason is Hostname_Mismatch, the hostname that the server certificate was expected to have.
certificate-hostname (s)
  If the rejection reason is Hostname_Mismatch, the hostname of the certificate that was presented.

  For instance, if you try to connect to gmail.com but are presented with a TLS certificate issued to evil.example.org, the error details for Hostname_Mismatch MAY include:

            {
              'expected-hostname': 'gmail.com',
              'certificate-hostname': 'evil.example.org',
            }

debug-message (s)
  Debugging information on the error, corresponding to the message part of a D-Bus error message, which SHOULD NOT be displayed to users under normal circumstances